curl -X GET \
'https://platform.returnqueen.dev/api/partner_webhooks' \
-H 'X-API-KEY: your-api-key'
{
"webhooks": [
{
"id": "ep_2KtRQ8fTStWPKrXP",
"url": "https://example.com/webhook",
"filterTypes": ["shipment.created"],
"active": true,
"created_at": "2024-01-15T10:00:00Z",
"description": "Production webhook endpoint"
}
],
"total": 1
}
Webhooks
List Webhooks
Returns all webhook endpoints configured for the authenticated partner
GET
/
api
/
partner_webhooks
curl -X GET \
'https://platform.returnqueen.dev/api/partner_webhooks' \
-H 'X-API-KEY: your-api-key'
{
"webhooks": [
{
"id": "ep_2KtRQ8fTStWPKrXP",
"url": "https://example.com/webhook",
"filterTypes": ["shipment.created"],
"active": true,
"created_at": "2024-01-15T10:00:00Z",
"description": "Production webhook endpoint"
}
],
"total": 1
}
curl -X GET \
'https://platform.returnqueen.dev/api/partner_webhooks' \
-H 'X-API-KEY: your-api-key'
{
"webhooks": [
{
"id": "ep_2KtRQ8fTStWPKrXP",
"url": "https://example.com/webhook",
"filterTypes": ["shipment.created"],
"active": true,
"created_at": "2024-01-15T10:00:00Z",
"description": "Production webhook endpoint"
}
],
"total": 1
}
Response Fields
array
List of webhook endpoints
Show webhook properties
Show webhook properties
string
Unique identifier for the webhook endpoint
string
HTTPS URL where webhook events are sent
array
Event types this endpoint is subscribed to (empty array means all events)
boolean
Whether the endpoint is active
string
When the endpoint was created (ISO 8601 format)
string
Description of the webhook endpoint
integer
Total number of webhook endpoints
⌘I